Create prompts
curl --request POST \
--url https://api.example.com/v1/topics/{topicId}/prompts \
--header 'Content-Type: application/json' \
--data '
{
"prompts": [
{}
]
}
'import requests
url = "https://api.example.com/v1/topics/{topicId}/prompts"
payload = { "prompts": [{}] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({prompts: [{}]})
};
fetch('https://api.example.com/v1/topics/{topicId}/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Topics & Prompts
Create prompts
Add prompts to an existing topic.
POST
/
v1
/
topics
/
{topicId}
/
prompts
Create prompts
Adds one or more prompts to an existing topic. Enforces the same prompt quota as Batch create.
Path parameters
string
required
Topic UUID. Obtain from Create topics or the rocketblue app.
Request body
PromptInput[]
required
Show PromptInput
Show PromptInput
Request
curl -s -X POST \
-H "x-spotlight-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompts": [
{ "text": "How competitive is the pricing?", "customerJourney": "consideration" }
]
}' \
"https://app.rocketblue.ai/api/v1/topics/TOPIC_ID/prompts"
Response
{
"prompts": [
{ "id": "prompt-uuid-1", "text": "How competitive is the pricing?", "customerJourney": "consideration" }
],
"remainingSlots": 86
}
⌘I

